# Copyright (c) 2020 Dave Love, University of Manchester
# Licence: MIT

# Fixme: Use setgroups <https://github.com/duosecurity/duo_unix/issues/28>

Name:		duo_unix
Version:	1.11.4
Release:	1%{?dist}
Summary:	Duo two-factor authentication for Unix systems
License:	GPLv2 with exceptions
URL:		https://duo.com/docs/duounix
Source0:	https://github.com/duosecurity/duo_unix/archive/duo_unix-%version.tar.gz
BuildRequires:	autoconf libtool pam-devel openssl-devel python3

%description
Duo two-factor authentication for Unix systems.

Duo Unix includes a PAM module or alternatively a stand alone executable
that can be used to protect programs such as SSH or Sudo.

%package devel
Summary: Development files for %name
Requires: %name%{?_isa} = %version-%release pam-devel openssl-devel

%description devel
Development files for %name.

%package -n pam_duo
Summary: A PAM module for pluggable login authentication for Duo

%description -n pam_duo
A PAM module for pluggable login authentication for Duo.


%prep
%setup -q -n duo_unix-duo_unix-%version
./bootstrap
sed -i 's/env python/python3/' tests/*.py


%build
%configure --with-pam
%make_build


%install
%make_install


%check
# Not working in copr, at least (doing networking?)
# make check PYTHON=python3

%files
%license LICENSE AUTHORS
%doc CONTRIBUTING.md CHANGES
/%_lib/security/pam_duo.so
%exclude /%_lib/security/pam_duo.la
%_sbindir/*
%config(noreplace) %_sysconfdir/login_duo.conf
%_mandir/man8/login_duo*
%exclude %_docdir/duo_unix

%files devel
%_libdir/pkgconfig/libduo.pc
%_includedir/*.h
%_mandir/man3/*

%files -n pam_duo
%license LICENSE AUTHORS
%doc CONTRIBUTING.md CHANGES
/%_lib/security/pam_duo.so
%_mandir/man8/pam_duo*
%config(noreplace) %_sysconfdir/pam_duo.conf


%changelog
* Tue May 19 2020 Dave Love <loveshack@fedoraproject.org> - 1.11.4-1
- Version with PAM module split out
